Skip to main content

Historical contract: Edit Channel on Event Rule

Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

Historical meaning​

Edit Channel on Event Rule

Current API​

For new integrations, use the linked current API reference or guide.

View the current API reference

Parameters​

[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "event_rule_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "event_rule_channel_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]

Request body​

{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"title": {
"type": "string"
},
"body": {
"type": "string"
},
"enabled": {
"type": "boolean"
},
"channel": {
"type": "string"
}
}
}
}
}
}

Responses​

{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 1,\n \"channel\": \"sms\",\n \"event_rule_id\": 1,\n \"title\": \"Channel Event Rule\",\n \"body\": \"Channel\",\n \"webhook\": null,\n \"enabled\": \"0\",\n \"created_at\": \"2022-05-18 18:07:03\",\n \"updated_at\": \"2022-05-18 18:08:12\"\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"channel": {
"type": "string",
"example": "sms"
},
"event_rule_id": {
"type": "integer",
"example": 1,
"default": 0
},
"title": {
"type": "string",
"example": "Channel Event Rule"
},
"body": {
"type": "string",
"example": "Channel"
},
"webhook": {},
"enabled": {
"type": "string",
"example": "0"
},
"created_at": {
"type": "string",
"example": "2022-05-18 18:07:03"
},
"updated_at": {
"type": "string",
"example": "2022-05-18 18:08:12"
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}